import { jsx } from "react/jsx-runtime";
import { forwardRef } from "react";
import FilledTags from "./filled.js";
import SolidTags from "./solid.js";
import StrokeTags from "./stroke.js";
/* empty css                 */
const Tag = forwardRef(
  (props, _ref) => {
    const {
      label,
      size = "large",
      variant = "filled",
      icon,
      onClick,
      isRemovable = false,
      onDelete
    } = props;
    const commonProps = {
      label,
      size,
      icon,
      onClick,
      isRemovable,
      onDelete
    };
    if (variant === "stroke") {
      return /* @__PURE__ */ jsx(StrokeTags, { ...commonProps });
    }
    if (variant === "solid") {
      return /* @__PURE__ */ jsx(SolidTags, { ...commonProps });
    }
    return /* @__PURE__ */ jsx(FilledTags, { ...commonProps });
  }
);
Tag.displayName = "Tag";
export {
  Tag
};
